/**
 * Enhanced Seccomp x86_64 Specific Code
 *
 * Copyright (c) 2012 Red Hat <pmoore@redhat.com>
 * Author: Paul Moore <pmoore@redhat.com>
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of version 2.1 of the GNU Lesser General Public License as
 * published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, see <http://www.gnu.org/licenses>.
 */

#ifndef _ARCH_x86_64_H
#define _ARCH_x86_64_H

#include <inttypes.h>

#include "arch.h"
#include "system.h"

#define x86_64_arg_count_max		6

extern const struct arch_def arch_def_x86_64;

#define x86_64_arg_offset_lo(x)		(arch_arg_offset(x))
#define x86_64_arg_offset_hi(x)		(arch_arg_offset(x) + 4)

int x86_64_syscall_resolve_name(const char *name);
const char *x86_64_syscall_resolve_num(int num);

#endif
